# CroppingController class

## Constructors

CroppingController.new(int viewId, dynamic _onHeavyOperationProcessing(bool)?)

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
viewId ↔ int
  getter/setter pair

## Methods

detect() → Future<void>
getPolygon() → Future<CroppingPolygon>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
reset() → Future<void>
rotateCCW() → Future<void>
rotateCw() → Future<void>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

channelName ↔ String
  getter/setter pair